<div type="text/ng-template" id="ModelQueryDeviceCode.html" class="modal-work-param">
    <div class="modal-header">
        <div class="modal-title">{{config.title}}</div>
    </div>
     <div class="modal-body">
        <div class="public-horizon-form">
            <div class="public-horizon">
                <label class="horizon-model-label label-4">用户名：</label>
                <div class="horizon-group horizon-col-8" ng-switch="config.title">
                	<label class="horizon-model-label label-4" ng-switch-when="解锁设备操作员" ng-model="config.userName">{{config.resourceOperator}}</label>
                    <label class="horizon-model-label label-4" ng-switch-when="注销操作验证" ng-model="config.userName">{{config.resourceOperator}}</label>

                    <input ng-switch-when="更换设备操作员" class="form-control" type="text" placeholder="请输入用户名" ng-model="config.userName" ng-keyup="enterKey($event)"/>
                    <input ng-switch-when="维护设备操作员" class="form-control" type="text" placeholder="请输入用户名" ng-model="config.userName" ng-keyup="enterKey($event)"/>
                    
                    <label class="horizon-model-label label-4" ng-switch-when="解锁ME工程师" ng-model="config.userName">{{config.resourceMeStaff}}</label>
                    <input ng-switch-when="更换ME工程师" class="form-control" type="text" placeholder="请输入用户名" ng-model="config.userName" ng-keyup="enterKey($event)"/>
                    <input ng-switch-when="维护ME工程师" class="form-control" type="text" placeholder="请输入用户名" ng-model="config.userName" ng-keyup="enterKey($event)"/>

                    <!--<input ng-switch-when="注销操作验证" class="form-control" type="text" placeholder="请输入用户名" ng-model="config.userName" ng-keyup="enterKey($event)"/>-->
                </div>
            </div>
            <div class="public-horizon">
                <label class="horizon-model-label label-4">密码：</label>
                <div class="horizon-group horizon-col-8">
                    <input class="form-control" type="password" placeholder="请输入密码" ng-model="config.passWord" ng-keyup="enterKey($event)"/>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <div class="col-sm-6 flex-center col-xs-6">
            <button class="btn btn-primary" type="button" ng-click="ok()">确定</button>
        </div>
        <div class="col-sm-6 flex-center col-xs-6">
            <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
        </div>
    </div>
</div>